Skip to main content
GET
Get Bookings

Authorizations

Authorization
string
header
required

All requests must include the static API Key in the Authorization header using the Bearer scheme.

Headers

Restoo-Partner-Id
string
required

Unique identifier of your Partner account (defined by Restoo).

Restoo-Account-Id
string
required

Unique identifier of the Tenant.

Query Parameters

date_start
string<date>

The start date of the search range, in ISO 8601 format (YYYY-MM-DD).

If not provided, defaults to the current date

Example:

"2025-03-20"

date_end
string<date>

The end date of the search range, in ISO 8601 format (YYYY-MM-DD). Must be equal to or later than date_start, and the date range cannot exceed 31 days

Example:

"2025-03-27"

status
string[]

The list of booking statuses to filter the results by.

Accepts multiple values from the BookingStatusEnum

Example:
customer_email
string<email> | null

The Customer's email address

Maximum string length: 255
Example:

"steve.jobs@restoo.me"

customer_phone
string | null

The Customer's phone number in E.164 format

Example:

"+34600111222"

Response

data
PrivateBookingResponse · object
required

Full Booking details, including private properties.